#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1600\r"; sleep 2;
echo -e "write (0,1) -1618\r"; sleep 2;
echo -e "write (0,2) -1464\r"; sleep 2;
echo -e "write (0,3) -1172\r"; sleep 2;
echo -e "write (0,4) -1340\r"; sleep 2;
echo -e "write (0,5) -1513\r"; sleep 2;
echo -e "write (0,6) -1389\r"; sleep 2;
echo -e "write (0,9) -1354\r"; sleep 2;
echo -e "write (0,10) -1320\r"; sleep 2;
echo -e "write (0,11) -1384\r"; sleep 2;
echo -e "write (0,12) -1424\r"; sleep 2;
echo -e "write (0,13) -1362\r"; sleep 2;
echo -e "write (0,14) -1561\r"; sleep 2;
echo -e "write (1,0) -1286\r"; sleep 2;
echo -e "write (1,1) -1471\r"; sleep 2;
echo -e "write (1,2) -1520\r"; sleep 2;
echo -e "write (1,3) -1398\r"; sleep 2;
echo -e "write (1,4) -1543\r"; sleep 2;
echo -e "write (1,5) -1575\r"; sleep 2;
echo -e "write (1,6) -1431\r"; sleep 2;
echo -e "write (1,9) -1467\r"; sleep 2;
echo -e "write (1,10) -1326\r"; sleep 2;
echo -e "write (1,11) -1429\r"; sleep 2;
echo -e "write (1,12) -1432\r"; sleep 2;
echo -e "write (1,13) -1490\r"; sleep 2;
echo -e "write (1,14) -1675\r"; sleep 2;
echo -e "write (2,0) -1371\r"; sleep 2;
echo -e "write (2,1) -1514\r"; sleep 2;
echo -e "write (2,2) -1628\r"; sleep 2;
echo -e "write (2,3) -1339\r"; sleep 2;
echo -e "write (2,4) -1689\r"; sleep 2;
echo -e "write (2,5) -1403\r"; sleep 2;
echo -e "write (2,6) -1690\r"; sleep 2;
echo -e "write (2,9) -1362\r"; sleep 2;
echo -e "write (2,10) -1463\r"; sleep 2;
echo -e "write (2,11) -1605\r"; sleep 2;
echo -e "write (2,12) -1426\r"; sleep 2;
echo -e "write (2,13) -1596\r"; sleep 2;
echo -e "write (2,14) -1396\r"; sleep 2;
echo -e "write (3,0) -1505\r"; sleep 2;
echo -e "write (3,1) -1449\r"; sleep 2;
echo -e "write (3,2) -1535\r"; sleep 2;
echo -e "write (3,3) -1444\r"; sleep 2;
echo -e "write (3,4) -1379\r"; sleep 2;
echo -e "write (3,5) -1468\r"; sleep 2;
echo -e "write (3,6) -1370\r"; sleep 2;
echo -e "write (3,9) -1581\r"; sleep 2;
echo -e "write (3,10) -1415\r"; sleep 2;
echo -e "write (3,11) -1482\r"; sleep 2;
echo -e "write (3,12) -1420\r"; sleep 2;
echo -e "write (3,13) -1546\r"; sleep 2;
echo -e "write (3,14) -1328\r"; sleep 2;
echo -e "write (4,0) -1470\r"; sleep 2;
echo -e "write (4,1) -1360\r"; sleep 2;
echo -e "write (4,2) -1342\r"; sleep 2;
echo -e "write (4,3) -1396\r"; sleep 2;
echo -e "write (4,4) -1320\r"; sleep 2;
echo -e "write (4,5) -1448\r"; sleep 2;
echo -e "write (4,6) -1426\r"; sleep 2;
echo -e "write (4,9) -1439\r"; sleep 2;
echo -e "write (4,10) -1536\r"; sleep 2;
echo -e "write (4,11) -1457\r"; sleep 2;
echo -e "write (4,12) -1347\r"; sleep 2;
echo -e "write (4,13) -1600\r"; sleep 2;
echo -e "write (4,14) -1600\r"; sleep 2;
echo -e "write (5,0) -1600\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1600\r"; sleep 2;
echo -e "write (5,3) -1600\r"; sleep 2;
echo -e "write (5,4) -1600\r"; sleep 2;
echo -e "write (5,5) -1600\r"; sleep 2;
echo -e "write (5,6) -1600\r"; sleep 2;
echo -e "write (5,9) -1600\r"; sleep 2;
echo -e "write (5,10) -1642\r"; sleep 2;
echo -e "write (5,11) -1482\r"; sleep 2;
echo -e "write (5,12) -1301\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1600\r"; sleep 2;
echo -e "write (6,0) -1672\r"; sleep 2;
echo -e "write (6,1) -1663\r"; sleep 2;
echo -e "write (6,2) -1600\r"; sleep 2;
echo -e "write (6,3) -1500\r"; sleep 2;
echo -e "write (6,4) -1573\r"; sleep 2;
echo -e "write (6,5) -1547\r"; sleep 2;
echo -e "write (6,6) -1699\r"; sleep 2;
echo -e "write (6,9) -1686\r"; sleep 2;
echo -e "write (6,10) -1600\r"; sleep 2;
echo -e "write (6,11) -1531\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1616\r"; sleep 2;
echo -e "write (6,14) -1605\r"; sleep 2;
echo -e "write (7,0) -1313\r"; sleep 2;
echo -e "write (7,1) -1647\r"; sleep 2;
echo -e "write (7,3) -1551\r"; sleep 2;
echo -e "write (7,4) -1580\r"; sleep 2;
echo -e "write (7,5) -1512\r"; sleep 2;
echo -e "write (7,6) -1608\r"; sleep 2;
echo -e "write (7,8) -1456\r"; sleep 2;
echo -e "write (7,9) -1636\r"; sleep 2;
echo -e "write (7,10) -1595\r"; sleep 2;
echo -e "write (7,11) -1525\r"; sleep 2;
echo -e "write (7,12) -1600\r"; sleep 2;
echo -e "write (7,13) -1675\r"; sleep 2;
echo -e "write (7,14) -1614\r"; sleep 2;
echo -e "write (8,0) -1509\r"; sleep 2;
echo -e "write (8,1) -1590\r"; sleep 2;
echo -e "write (8,2) -1438\r"; sleep 2;
echo -e "write (8,3) -1353\r"; sleep 2;
echo -e "write (8,4) -1390\r"; sleep 2;
echo -e "write (8,5) -1398\r"; sleep 2;
echo -e "write (8,6) -1503\r"; sleep 2;
echo -e "write (8,9) -1361\r"; sleep 2;
echo -e "write (8,10) -1534\r"; sleep 2;
echo -e "write (8,11) -1376\r"; sleep 2;
echo -e "write (8,12) -1528\r"; sleep 2;
echo -e "write (8,13) -1366\r"; sleep 2;
echo -e "write (8,14) -1325\r"; sleep 2;
echo -e "write (9,0) -1358\r"; sleep 2;
echo -e "write (9,1) -1301\r"; sleep 2;
echo -e "write (9,2) -1489\r"; sleep 2;
echo -e "write (9,3) -1597\r"; sleep 2;
echo -e "write (9,4) -1295\r"; sleep 2;
echo -e "write (9,5) -1639\r"; sleep 2;
echo -e "write (9,6) -1697\r"; sleep 2;
echo -e "write (9,9) -1600\r"; sleep 2;
echo -e "write (9,10) -1481\r"; sleep 2;
echo -e "write (9,11) -1637\r"; sleep 2;
echo -e "write (9,12) -1447\r"; sleep 2;
echo -e "write (9,13) -1574\r"; sleep 2;
echo -e "write (9,14) -1491\r"; sleep 2;
echo -e "write (10,0) -1471\r"; sleep 2;
echo -e "write (10,1) -1366\r"; sleep 2;
echo -e "write (10,2) -1247\r"; sleep 2;
echo -e "write (10,3) -1461\r"; sleep 2;
echo -e "write (10,4) -1266\r"; sleep 2;
echo -e "write (10,5) -1317\r"; sleep 2;
echo -e "write (10,6) -1463\r"; sleep 2;
echo -e "write (10,9) -1455\r"; sleep 2;
echo -e "write (10,10) -1600\r"; sleep 2;
echo -e "write (10,11) -1679\r"; sleep 2;
echo -e "write (10,12) -1335\r"; sleep 2;
echo -e "write (10,13) -1400\r"; sleep 2;
echo -e "write (10,14) -1562\r"; sleep 2;
echo -e "write (11,0) -1323\r"; sleep 2;
echo -e "write (11,1) -1521\r"; sleep 2;
echo -e "write (11,2) -1600\r"; sleep 2;
echo -e "write (11,4) -1612\r"; sleep 2;
echo -e "write (11,5) -1584\r"; sleep 2;
echo -e "write (11,6) -1558\r"; sleep 2;
echo -e "write (11,9) -1411\r"; sleep 2;
echo -e "write (11,10) -1506\r"; sleep 2;
echo -e "write (11,11) -1651\r"; sleep 2;
echo -e "write (11,12) -1317\r"; sleep 2;
echo -e "write (11,13) -1559\r"; sleep 2;
echo -e "write (11,14) -1583\r"; sleep 2;
echo -e "write (11,15) -1652\r"; sleep 2;
echo -e "write (12,1) -1366\r"; sleep 2;
echo -e "write (12,2) -1371\r"; sleep 2;
echo -e "write (12,3) -1405\r"; sleep 2;
echo -e "write (12,4) -1452\r"; sleep 2;
echo -e "write (12,5) -1370\r"; sleep 2;
echo -e "write (12,8) -1445\r"; sleep 2;
echo -e "write (12,9) -1409\r"; sleep 2;
echo -e "write (12,10) -1395\r"; sleep 2;
echo -e "write (12,11) -1477\r"; sleep 2;
echo -e "write (12,12) -1600\r"; sleep 2;
echo -e "write (12,13) -1641\r"; sleep 2;
echo -e "write (12,14) -1518\r"; sleep 2;
echo -e "write (12,15) -1676\r"; sleep 2;
echo -e "write (13,0) -1698\r"; sleep 2;
echo -e "write (13,1) -1630\r"; sleep 2;
echo -e "write (13,2) -1535\r"; sleep 2;
echo -e "write (13,3) -1553\r"; sleep 2;
echo -e "write (13,4) -1393\r"; sleep 2;
echo -e "write (13,5) -1598\r"; sleep 2;
echo -e "write (13,6) -1657\r"; sleep 2;
echo -e "write (13,9) -1624\r"; sleep 2;
echo -e "write (13,10) -1585\r"; sleep 2;
echo -e "write (13,11) -1471\r"; sleep 2;
echo -e "write (13,12) -1461\r"; sleep 2;
echo -e "write (13,13) -1502\r"; sleep 2;
echo -e "write (13,14) -1659\r"; sleep 2;
echo -e "write (14,0) -1473\r"; sleep 2;
echo -e "write (14,1) -1621\r"; sleep 2;
echo -e "write (14,2) -1566\r"; sleep 2;
echo -e "write (14,3) -1376\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1600\r"; sleep 2;
echo -e "write (14,6) -1627\r"; sleep 2;
echo -e "write (14,9) -1697\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1609\r"; sleep 2;
echo -e "write (14,12) -1659\r"; sleep 2;
echo -e "write (14,13) -1680\r"; sleep 2;
echo -e "write (14,14) -1464\r"; sleep 2;
echo -e "write (15,0) -1627\r"; sleep 2;
echo -e "write (15,1) -1556\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7007 > ../log/fms_hvon_7007_$t.tex
echo Set new HV
cat ../log/fms_hvon_7007_$t.tex
